# National Identity

## Allows merchant to verify information of users using National ID and other identifiers.

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/sa/national_id`

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | String | \<your secret key> |

#### Request Body

| Name                                         | Type   | Description          |
| -------------------------------------------- | ------ | -------------------- |
| firstname<mark style="color:red;">\*</mark>  | String | first name of user   |
| lastname<mark style="color:red;">\*</mark>   | String | lasname of user      |
| nationalid<mark style="color:red;">\*</mark> | String | NATIONAL ID          |
| dob<mark style="color:red;">\*</mark>        | String | User's Date of birth |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status":true,
    "message":"Information Validated",
    "response_code":"00",
    "data":{
        "completename": "",
        "formofaddress": "",
        "qualificationpreceding": "",
        "givenfullname": "",
        "givennameinitials": "",
        "qualification_int_first": "",
        "surname_prefix_first": "",
        "surname_first": "",
        "indicator": "",
        "qualification_int_second": "",
        "surname_prefix_second": "",
        "qualification_suceeding": "",
        "name_qualified": "",
        "function": "",
        "gender": "",
        "nationality": "",
        "nationalid": "",
        "organization_name": "",
        "dob": "",
        "businessid": "",
        "contact_type": "",
        "countryCode": "",
        "passport": "",
        "contactType": "",
        "nameQualified": "",
        "organizationName": "",
        "qualificationIntFirst": "",
        "qualificationIntSecond": "",
        "qualificationSuceeding": "",
        "surnameFirst": "",
        "surnamePrefixFirst": "",
        "surnamePrefixSecond": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/v1/data-verification-1/data-verification/south-africa/national-identity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
